Apêndice A. Gerir o seu sistema lenny antes da actualização

Índice

A.1. Actualizar o seu sistema lenny
A.2. Verificar a sua lista de fontes
A.3. Actualizar locales antigos para UTF-8

Este apêndice contém informação sobre como ter a certeza que pode instalar e actualizar os pacotes da lenny antes que actualize para a squeeze. Deverá ser apenas necessário em situações específicas.

A.1. Actualizar o seu sistema lenny

Basicamente não é diferente de qualquer outra actualização da lenny que tem vindo a fazer. A única diferença é que primeiro necessita de se certificar que a sua lista de pacotes ainda contém referências à lenny como explicado em Secção A.2, “Verificar a sua lista de fontes”.

Se actualizar o seu sistema utilizando um mirror Debian, será automaticamente actualizado para a última versão da lenny.

A.2. Verificar a sua lista de fontes

Se alguma das linhas do seu /etc/apt/sources.list se refere a 'stable', já está efectivamente a utilizar a squeeze. Isto pode não ser o que deseja se ainda não estiver pronto para a actualização. Se já correu apt-get update, pode ainda voltar atrás sem problemas seguindo o procedimento abaixo indicado.

Se já instalou pacotes da squeeze, então provavelmente já não fará muito sentido a instalação de pacotes da lenny. Neste caso terá que decidir se quer continuar ou não. É possível baixar de versão nos pacotes, mas este aspecto não é coberto aqui.

Abra o ficheiro /etc/apt/sources.list com seu editor favorito (como root) e verifique todas as linhas que iniciam por deb http: ou deb ftp: que referenciem a stable. Se encontrar alguma altere stable para lenny.

Se tiver quaisquer linhas que comecem por deb file:, terá que verificar se o local para onde se referem contém um arquivo lenny ou squeeze.

[Importante]Importante

Não altere nenhuma linha que comece por deb cdrom:. Ao fazê-lo pode invalidar a linha e terá que correr o apt-cdrom de novo. Não se alarme se uma linha da fonte 'cdrom' refere unstable. Apesar de confuso, é normal.

Se efectuar algumas alterações, grave o ficheiro e execute

# apt-get update

para refrescar a lista de pacotes.

A.3. Actualizar locales antigos para UTF-8

Se o seu sistema está localizado e está a utilizar um locale que não é baseado em UTF-8 deve considerar fortemente mudar o seu sistema para utilizar locales UTF-8. No passado, existiram bugs idendificados que só se manifestavam ao utilizar um locale não-UTF-8. No desktop, tais locales antigos são suportados através de truques feios no interior das bibliotecas, e nós não podemos prestar um suporte capaz a utilizadores que ainda os utilizam.

Para configurar os locales do seu sistema pode correr dpkg-reconfigure locales. Assegure-se que escolhe um locale UTF-8 quando lhe for apresentada a questão acerca de qual locale utilizar no sistema. Além disso, deve rever as definições do locale dos seus utilizadores e assegure-se que não têm definições antigas de locales no seu ambiente de configuração.